From 367e208954711fabe159070d242927246ed821cd Mon Sep 17 00:00:00 2001
From: Anton Khirnov <anton@khirnov.net>
Date: Thu, 9 Jan 2014 21:14:17 +0100
Subject: [PATCH] a52: switch to AV_CODEC_ID identifiers

Fixes build with latest libavcodec versions.

Signed-off-by: Takashi Iwai <tiwai@suse.de>
---
 a52/pcm_a52.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/a52/pcm_a52.c b/a52/pcm_a52.c
index 359608f..b467ec8 100644
--- a/a52/pcm_a52.c
+++ b/a52/pcm_a52.c
@@ -58,6 +58,9 @@
 #endif
 #endif
 
+#if LIBAVCODEC_VERSION_INT < AV_VERSION_INT(54, 25, 0)
+#define AV_CODEC_ID_AC3 CODEC_ID_AC3
+#endif
 
 struct a52_ctx {
 	snd_pcm_ioplug_t io;
@@ -916,7 +919,7 @@ SND_PCM_PLUGIN_DEFINE_FUNC(a52)
 	if (rec->codec == NULL)
 		rec->codec = avcodec_find_encoder_by_name("ac3");
 	if (rec->codec == NULL) 
-		rec->codec = avcodec_find_encoder(CODEC_ID_AC3);
+		rec->codec = avcodec_find_encoder(AV_CODEC_ID_AC3);
 	if (rec->codec == NULL) {
 		SNDERR("Cannot find codec engine");
 		err = -EINVAL;
-- 
1.7.11.7

